
#!/usr/bin/perl
# file: generate_vrns.pl

 use constant DIGITS => 100;
my $id_count = shift;

for (1..$id_count) {
    my $digits = random_digits(DIGITS);
    $digits =~ s/(.{25})/$1\n/g;
    print <<EOB;
--REGISTRATION-START--
$digits--REGISTRATION-END--

EOB
}

sub random_digits {
    my $digits_desired = shift;
    open(RAND,'/dev/urandom') or die "Can't open random number device: $!";
    my $data;
    read(RAND,$data,$digits_desired) or die "Can't read random bytes: $!";
    my @digits = map {$_ % 10} unpack('C*',$data);
    return join '', @digits[0..$digits_desired-1];
}
